org.apache.cassandra.sink

## Interface IRequestSink

-     public interface IRequestSink

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `IMutation` | `handleWriteRequest(IMutation mutation)` Transform or drop a write request (represented by a Mutation).

- - ### Method Detail

    - #### handleWriteRequest

          IMutation handleWriteRequest(IMutation mutation)

      Transform or drop a write request (represented by a Mutation).
      Parameters:
        `mutation` - the Mutation to be applied locally.
      Returns:
        null if the mutation is to be dropped, or the transformed mutation to apply, which may be just the original mutation.

Copyright © 2014 The Apache Software Foundation